Page MenuHomePhabricator

PHP LabelWidget should be able to associate with InputWidget via <label for> and generated 'id' attributes
Closed, ResolvedPublic

Description

PHP LabelWidget should be able to associate with InputWidget via <label for> and generated 'id' attributes. Right now the only way to generate accessible widgets with a label in PHP is to use a FieldLayout.

Event Timeline

matmarex created this task.Aug 4 2015, 6:43 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 6:43 PM
Jdforrester-WMF triaged this task as Normal priority.Apr 20 2016, 10:10 PM
Jdforrester-WMF set Security to None.
Volker_E closed this task as Resolved.Feb 9 2017, 12:15 AM
Volker_E assigned this task to matmarex.
Volker_E added a subscriber: Volker_E.
Volker_E moved this task from Backlog to OOjs-UI-0.19.0 on the OOUI board.Feb 9 2017, 12:16 AM
Volker_E edited projects, added OOUI (OOjs-UI-0.19.0); removed OOUI.